Subject: Re: linux-next: new objtool warnings

From: Peter Zijlstra <[email-masked]>
Date: Wed, 5 Nov 2025 11:02:02 +0100

On Wed, Nov 05, 2025 at 11:00:14AM +0100, Peter Zijlstra wrote:
> On Wed, Nov 05, 2025 at 09:56:37AM +0100, Peter Zijlstra wrote:
> > On Wed, Nov 05, 2025 at 02:30:27PM +1100, Stephen Rothwell wrote:
> > 
> > > These objtool messages have returned today.  No change in compiler.
> > 
> > Yes, Ingo also reported them on IRC, let me go investigate!
> 
> The below cures things, but I'm not quite sure why they show up now and
> not before. Let me poke more.

Also, someone wrecked the build system.

vmlinux.o is no longer a valid build target, and the vmlinux target
seems to build a ton of module stuff :/